%define upstream_name    Data-Dmp
%define upstream_version 0.242

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dump Perl data structures as Perl code
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Deparse)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Regexp::Stringify)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::Dmp is a Perl dumper like the Data::Dumper manpage. It's compact
(only about 175 lines of code long), starts fast and does not use any
non-core modules except the Regexp::Stringify manpage when dumping regexes.
It produces compact single-line output (similar to the
Data::Dumper::Concise manpage). It roughly has the same speed as
Data::Dumper (usually a bit faster for smaller structures) and faster than
the Data::Dump manpage, but does not offer the various formatting options.
It supports dumping objects, regexes, circular structures, coderefs. Its
code is first based on the Data::Dump manpage: I removed all the parts that
I don't need, particularly the pretty formatting stuffs) and added some
features that I need like proper regex dumping and coderef deparsing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Sep 05 2022 tv <tv> 0.242.0-1.mga9
+ Revision: 1884057
- update to 0.242

* Mon Mar 21 2022 umeabot <umeabot> 0.241.0-2.mga9
+ Revision: 1814681
- Mageia 9 Mass Rebuild

* Tue Jun 29 2021 tv <tv> 0.241.0-1.mga9
+ Revision: 1734151
- update to 0.241

* Wed Apr 08 2020 tv <tv> 0.240.0-1.mga8
+ Revision: 1565519
- update to 0.240

* Fri Feb 14 2020 umeabot <umeabot> 0.230.0-2.mga8
+ Revision: 1520602
- Mageia 8 Mass Rebuild

* Mon Dec 03 2018 shlomif <shlomif> 0.230.0-1.mga7
+ Revision: 1337870
- cpan2dist

